WSPort (CMDB Model API)
Keywords: com.collation.platform.model.topology.soa.WSPort interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.soa
Interface WSPort

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ServiceAccessPoint

    public interface WSPort

extends ServiceAccessPoint

A web services port as defined by WSDL

Naming Rules:
  0="namespace,name"
Persistable:
  true
Display Name:
  namespace,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBinding()` The binding defined to be part of this port.
`Document[]` | `getDefiningDocs()` The documents that contain the definition of this port
`java.lang.String` | `getNamespace()` The XML namespace used in the definition of this port
`boolean` | `hasBinding()`
`boolean` | `hasDefiningDocs()`
`boolean` | `hasNamespace()`
`void` | `setBinding(java.lang.String name)`
`void` | `setDefiningDocs(Document[] docs)`
`void` | `setNamespace(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.sys.ServiceAccessPoint
`getBindAddress, getName, getProductName, getProductVersion, getProvider, getVendorName, hasBindAddress, hasName, hasProductName, hasProductVersion, hasProvider, hasVendorName, setBindAddress, setName, setProductName, setProductVersion, setProvider, setVendorName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getNamespace

    java.lang.String getNamespace()
                                  throws AttributeNotSetException

  The XML namespace used in the definition of this port

  Throws:
    `AttributeNotSetException`

### setNamespace

    void setNamespace(java.lang.String name)

### hasNamespace

    boolean hasNamespace()

### getBinding

    java.lang.String getBinding()
                                throws AttributeNotSetException

  The binding defined to be part of this port. This attribute should contain the fully-qualified (including namespace)

  Throws:
    `AttributeNotSetException`

### setBinding

    void setBinding(java.lang.String name)

### hasBinding

    boolean hasBinding()

### getDefiningDocs

    Document[] getDefiningDocs()
                               throws AttributeNotSetException

  The documents that contain the definition of this port

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setDefiningDocs

    void setDefiningDocs(Document[] docs)

### hasDefiningDocs

    boolean hasDefiningDocs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD